/*  BotikBalance - User's account balance informer for Botik Network 
 *                 for Windows 9x/ME/NT/2000/XP/2003
 *  Copyright (C) 2005 Alexander V. Melnikoff
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public Licensse as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

/* Sorry for the long lines in the sources, I have wide screen... ;-)
 */

#ifndef __STDAFX_H__
#define __STDAFX_H__

#include <config.h>

#define cfDPRINTF_APP_NAME	_T("BB:BBOBJ")  // For cmnfuncs.h
#define _WIN32_WINNT		0x0501
//#define _WIN32_WINDOWS	0x0500

#pragma warning( disable : 4995) // name was marked as #pragma deprecated

#define WIN32_LEAN_AND_MEAN					// Exclude rarely-used stuff from Windows headers

// Windows Header Files:
#include <windowsx.h>
#include <objbase.h>
#include <ole2.h>
#include <activscp.h>
#include <atlbase.h>
#include <atlconv.h>
#include <tchar.h>
#include <strsafe.h>
#include <assert.h>

// Project Header Files:
#include <cmnfuncs.h>
#include <resource.h>
#include <datacont.h>
#include <bbobj.h>

// Global variables
extern HMODULE		g_hModule;
extern LONG			g_lDllRefCnt;
extern CDataCont*	g_pDataCont;

#endif // __STDAFX_H__