/*  BotikBalance - User's account balance informer for Botik Network 
 *                 for Windows 9x/ME/NT/2000/XP/2003
 *  Copyright (C) 2005 Alexander V. Melnikoff
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public Licensse as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

/* Sorry for the long lines in the sources, I have wide screen... ;-)
 */

#ifndef __CLASSFACTORY_H__
#define __CLASSFACTORY_H__

class CClassFactory : public IClassFactory {
public:
	CClassFactory(CLSID);
	~CClassFactory();

	// IUnknown methods.
	HRESULT	__stdcall QueryInterface(REFIID, LPVOID*);
	ULONG	__stdcall AddRef(void);
	ULONG	__stdcall Release(void);

	// IClassFactory methods.
	HRESULT	__stdcall CreateInstance(LPUNKNOWN, REFIID, LPVOID*);
	HRESULT	__stdcall LockServer(BOOL);

private:
	CLSID	m_clsidObject;

protected:
	LONG	m_cRef;
};

#endif // __CLASSFACTORY_H__
